#!/bin/sh
set -e
top_builddir=${top_builddir:-..}
cr_checkpoint=${cr_checkpoint:-${top_builddir}/util/cr_checkpoint/cr_checkpoint}
cr_restart=${cr_restart:-${top_builddir}/util/cr_restart/cr_restart}
cr_run=${cr_run:-${top_builddir}/util/cr_run/cr_run}
for dir in `dirname $0` . ${top_builddir}/tests; do
  test -x ${dir}/bug2003_aux && break
done
#
${cr_run} ${dir}/bug2003_aux &
pid=$!
sleep 2
${cr_checkpoint} $pid
sleep 2
${cr_restart} context.$pid
rm -f context.$pid
